com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface RuleSection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RuleSection
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Rule Section'.

  The following features are supported:

  - `Column Count`
  - `Scroll Column Left`
  - `Rule Column List`
  - `Optimizer Results`
  See Also:
    `DecisiontablePackage.getRuleSection()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()` Returns the value of the 'Column Count' attribute
    `OptimizerResults` | `getOptimizerResults()` Returns the value of the 'Optimizer Results' containment reference
    `org.eclipse.emf.common.util.EList` | `getRuleColumnList()` Returns the value of the 'Rule Column List' containment reference list.
    `int` | `getScrollColumnLeft()` Returns the value of the 'Scroll Column Left' attribute
    `void` | `setColumnCount(int value)` Sets the value of the '`Column Count`' attribute
    `void` | `setOptimizerResults(OptimizerResults value)` Sets the value of the '`Optimizer Results`' containment reference
    `void` | `setScrollColumnLeft(int value)` Sets the value of the '`Scroll Column Left`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getColumnCount

          int getColumnCount()

      Returns the value of the 'Column Count' attribute.

      If the meaning of the 'Column Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Count' attribute.
      See Also:
        `setColumnCount(int)`, `DecisiontablePackage.getRuleSection_ColumnCount()`

    - #### setColumnCount

          void setColumnCount(int value)

      Sets the value of the '`Column Count`' attribute.
      Parameters:
        `value` - the new value of the 'Column Count' attribute.
      See Also:
        `getColumnCount()`

    - #### getScrollColumnLeft

          int getScrollColumnLeft()

      Returns the value of the 'Scroll Column Left' attribute.

      If the meaning of the 'Scroll Column Left' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scroll Column Left' attribute.
      See Also:
        `setScrollColumnLeft(int)`, `DecisiontablePackage.getRuleSection_ScrollColumnLeft()`

    - #### setScrollColumnLeft

          void setScrollColumnLeft(int value)

      Sets the value of the '`Scroll Column Left`' attribute.
      Parameters:
        `value` - the new value of the 'Scroll Column Left' attribute.
      See Also:
        `getScrollColumnLeft()`

    - #### getRuleColumnList

          org.eclipse.emf.common.util.EList getRuleColumnList()

      Returns the value of the 'Rule Column List' containment reference list. The list contents are of type `RuleColumn`.

      If the meaning of the 'Rule Column List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Column List' containment reference list.
      See Also:
        `DecisiontablePackage.getRuleSection_RuleColumnList()`

    - #### getOptimizerResults

          OptimizerResults getOptimizerResults()

      Returns the value of the 'Optimizer Results' containment reference.

      If the meaning of the 'Optimizer Results' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Optimizer Results' containment reference.
      See Also:
        `setOptimizerResults(OptimizerResults)`, `DecisiontablePackage.getRuleSection_OptimizerResults()`

    - #### setOptimizerResults

          void setOptimizerResults(OptimizerResults value)

      Sets the value of the '`Optimizer Results`' containment reference.
      Parameters:
        `value` - the new value of the 'Optimizer Results' containment reference.
      See Also:
        `getOptimizerResults()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.